import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTREnergyEVSEClusterEnergyTransferStoppedEvent extends _NSObject {
    static alloc(): _MTREnergyEVSEClusterEnergyTransferStoppedEvent;
    static new(): _MTREnergyEVSEClusterEnergyTransferStoppedEvent;
    init(): _MTREnergyEVSEClusterEnergyTransferStoppedEvent;
    sessionID(): _NSNumber;
    setSessionID$(value: _NSNumber): void;
    state(): _NSNumber;
    setState$(value: _NSNumber): void;
    reason(): _NSNumber;
    setReason$(value: _NSNumber): void;
    energyTransferred(): _NSNumber;
    setEnergyTransferred$(value: _NSNumber): void;
    energyDischarged(): _NSNumber | null;
    setEnergyDischarged$(value: _NSNumber | null): void;
}
export interface _MTREnergyEVSEClusterEnergyTransferStoppedEvent extends _NSCopying {
}
